Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
/
{case_id}
/
tasks
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "workflow_id": "<string>",
    "assignee": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "settings": {},
      "is_active": true,
      "is_superuser": false,
      "is_verified": false,
      "first_name": "<string>",
      "last_name": "<string>"
    },
    "default_trigger_values": {}
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid>
required
workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
case_id
string<uuid>
required
title
string
required
description
string | null
required
priority
enum<string>
required

Case priority values aligned with urgency levels.

Values: UNKNOWN (0): No priority is assigned LOW (1): Application or personal procedure is unusable, where a workaround is available or a repair is possible MEDIUM (2): Non-critical function or procedure is unusable or hard to use causing operational disruptions with no direct impact on a service's availability. A workaround is available HIGH (3): Critical functionality or network access is interrupted, degraded or unusable, having a severe impact on services availability. No acceptable alternative is possible CRITICAL (4): Interruption making a critical functionality inaccessible or a complete network interruption causing a severe impact on services availability. There is no possible alternative OTHER (99): The priority is not normalized

Available options:
unknown,
low,
medium,
high,
critical,
other
status
enum<string>
required

Case task status values.

Available options:
todo,
in_progress,
completed,
blocked
workflow_id
string | null
required
Pattern: wf_[0-9a-zA-Z]+
assignee
UserRead · object | null
default_trigger_values
Default Trigger Values · object | null